Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 24/10/2016, à 19:44

Hizoka

[Résolu] Tellico vers KDE5

Bonsoir,

j'aimerai bien tester Tellico pour KDE5 mais j'arrive pas à compiler le soft.

Quelqu'un l'aurait il déjà fait ou voudrait essayer aussi ?

http://tellico-project.org/

Merci à vous smile

Dernière modification par Hizoka (Le 25/11/2016, à 18:06)

Hors ligne

#2 Le 10/11/2016, à 19:09

eric63

Re : [Résolu] Tellico vers KDE5

salut
je bloque moi aussi. Faut dire qu'il y a longtemps que je ne m'y suis pas collé à la compilation.
Je t'explique ou j'en suis
Dans dolphin j'ai ajouté un panneau terminal avec F4
j'ai décompressé le fichier tellico-2-9.92.tar.xz
un dossier tellico-2-9.92 s'est crée à coté
je suis rentré dedans
j'ai créé un dossier buid
je suis rentré dand le dossier build
avec le panneau terminal le chemin n'est plus à faire. Le prompt est au bon endroit.
fait le cmake dans le dossier build du dossier tellico-2-9.92
qui m'a d'abord demandé d'installer cmake
donc installation de cmake
puis cmake

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ cmake
Usage

  cmake [options] <path-to-source>
  cmake [options] <path-to-existing-build>

Specify a source directory to (re-)generate a build system for it in the
current working directory.  Specify an existing build directory to
re-generate its build system.

Run 'cmake --help' for more information.

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$

oups il faut rentrer
cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` d'après le fichier COMPILING

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
-- The C compiler identification is GNU 6.2.0
-- The CXX compiler identification is GNU 6.2.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at CMakeLists.txt:9 (find_package):
  Could not find a package configuration file provided by "ECM" (requested
  version 1.3.0) with any of the following names:

    ECMConfig.cmake
    ecm-config.cmake

  Add the installation prefix of "ECM" to CMAKE_PREFIX_PATH or set "ECM_DIR"
  to a directory containing one of the above files.  If "ECM" provides a
  separate development package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeOutput.log".
kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ 

installation du paquet extra-cmake-modules

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
CMake Warning at /usr/share/ECM/modules/ECMQueryQmake.cmake:16 (message):
  Should specify a qmake Qt5 binary.  Can't check QT_INSTALL_PREFIX
Call Stack (most recent call first):
  /usr/share/ECM/kde-modules/KDEInstallDirs.cmake:444 (query_qmake)
  CMakeLists.txt:31 (include)


-- Looking for __GLIBC__
-- Looking for __GLIBC__ - found
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Looking for strlwr
-- Looking for strlwr - not found
-- Looking for strupr
-- Looking for strupr - not found
CMake Error at CMakeLists.txt:49 (find_package):
  Could not find a package configuration file provided by "Qt5" (requested
  version 5.4.0) with any of the following names:

    Qt5Config.cmake
    qt5-config.cmake

  Add the installation prefix of "Qt5" to CMAKE_PREFIX_PATH or set "Qt5_DIR"
  to a directory containing one of the above files.  If "Qt5" provides a
  separate development package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeOutput.log".
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeError.log".
kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$

installation de qmake5
mais là la compile ne donne rien d'autres que l'annonce ci dessus

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
CMake Error at CMakeLists.txt:49 (find_package):
  Could not find a package configuration file provided by "Qt5" (requested
  version 5.4.0) with any of the following names:

    Qt5Config.cmake
    qt5-config.cmake

  Add the installation prefix of "Qt5" to CMAKE_PREFIX_PATH or set "Qt5_DIR"
  to a directory containing one of the above files.  If "Qt5" provides a
  separate development package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeOutput.log".
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeError.log".

installation de librairies supplémentaires trouvés depuis le fichier COMPILING qui n'est pas complet mais qui renvoi vers le site http://techbase.kde.org/Projects/Tellico/Compiling ou il est demandé pour debian et ubuntu d'installer des librairies
libpoppler-qt4-dev j'ai pris la libpoppler-qt5-dev
libyaz-dev j'ai pris la libyaz4-dev

sudo apt-get install libpoppler-qt5-dev libtaglib-ocaml-dev libexempi-dev libyaz4-dev libqimageblitz4 libqimageblitz-dev

rebelote

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5Archive" with
  any of the following names:

    KF5ArchiveConfig.cmake
    kf5archive-config.cmake

  Add the installation prefix of "KF5Archive" to CMAKE_PREFIX_PATH or set
  "KF5Archive_DIR" to a directory containing one of the above files.  If
  "KF5Archive" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5Archive: found neither KF5ArchiveConfig.cmake nor kf5archive-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5Codecs" with
  any of the following names:

    KF5CodecsConfig.cmake
    kf5codecs-config.cmake

  Add the installation prefix of "KF5Codecs" to CMAKE_PREFIX_PATH or set
  "KF5Codecs_DIR" to a directory containing one of the above files.  If
  "KF5Codecs" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5Codecs: found neither KF5CodecsConfig.cmake nor kf5codecs-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5Config" with
  any of the following names:

    KF5ConfigConfig.cmake
    kf5config-config.cmake

  Add the installation prefix of "KF5Config" to CMAKE_PREFIX_PATH or set
  "KF5Config_DIR" to a directory containing one of the above files.  If
  "KF5Config" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5Config: found neither KF5ConfigConfig.cmake nor kf5config-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5ConfigWidgets"
  with any of the following names:

    KF5ConfigWidgetsConfig.cmake
    kf5configwidgets-config.cmake

  Add the installation prefix of "KF5ConfigWidgets" to CMAKE_PREFIX_PATH or
  set "KF5ConfigWidgets_DIR" to a directory containing one of the above
  files.  If "KF5ConfigWidgets" provides a separate development package or
  SDK, be sure it has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5ConfigWidgets: found neither KF5ConfigWidgetsConfig.cmake nor kf5configwidgets-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5CoreAddons"
  with any of the following names:

    KF5CoreAddonsConfig.cmake
    kf5coreaddons-config.cmake

  Add the installation prefix of "KF5CoreAddons" to CMAKE_PREFIX_PATH or set
  "KF5CoreAddons_DIR" to a directory containing one of the above files.  If
  "KF5CoreAddons" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5CoreAddons: found neither KF5CoreAddonsConfig.cmake nor kf5coreaddons-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5Crash" with any
  of the following names:

    KF5CrashConfig.cmake
    kf5crash-config.cmake

  Add the installation prefix of "KF5Crash" to CMAKE_PREFIX_PATH or set
  "KF5Crash_DIR" to a directory containing one of the above files.  If
  "KF5Crash" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5Crash: found neither KF5CrashConfig.cmake nor kf5crash-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5DocTools" with
  any of the following names:

    KF5DocToolsConfig.cmake
    kf5doctools-config.cmake

  Add the installation prefix of "KF5DocTools" to CMAKE_PREFIX_PATH or set
  "KF5DocTools_DIR" to a directory containing one of the above files.  If
  "KF5DocTools" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5DocTools: found neither KF5DocToolsConfig.cmake nor kf5doctools-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5GuiAddons" with
  any of the following names:

    KF5GuiAddonsConfig.cmake
    kf5guiaddons-config.cmake

  Add the installation prefix of "KF5GuiAddons" to CMAKE_PREFIX_PATH or set
  "KF5GuiAddons_DIR" to a directory containing one of the above files.  If
  "KF5GuiAddons" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5GuiAddons: found neither KF5GuiAddonsConfig.cmake nor kf5guiaddons-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5IconThemes"
  with any of the following names:

    KF5IconThemesConfig.cmake
    kf5iconthemes-config.cmake

  Add the installation prefix of "KF5IconThemes" to CMAKE_PREFIX_PATH or set
  "KF5IconThemes_DIR" to a directory containing one of the above files.  If
  "KF5IconThemes" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5IconThemes: found neither KF5IconThemesConfig.cmake nor kf5iconthemes-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5ItemModels"
  with any of the following names:

    KF5ItemModelsConfig.cmake
    kf5itemmodels-config.cmake

  Add the installation prefix of "KF5ItemModels" to CMAKE_PREFIX_PATH or set
  "KF5ItemModels_DIR" to a directory containing one of the above files.  If
  "KF5ItemModels" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5ItemModels: found neither KF5ItemModelsConfig.cmake nor kf5itemmodels-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5I18n" with any
  of the following names:

    KF5I18nConfig.cmake
    kf5i18n-config.cmake

  Add the installation prefix of "KF5I18n" to CMAKE_PREFIX_PATH or set
  "KF5I18n_DIR" to a directory containing one of the above files.  If
  "KF5I18n" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5I18n: found neither KF5I18nConfig.cmake nor kf5i18n-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5JobWidgets"
  with any of the following names:

    KF5JobWidgetsConfig.cmake
    kf5jobwidgets-config.cmake

  Add the installation prefix of "KF5JobWidgets" to CMAKE_PREFIX_PATH or set
  "KF5JobWidgets_DIR" to a directory containing one of the above files.  If
  "KF5JobWidgets" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5JobWidgets: found neither KF5JobWidgetsConfig.cmake nor kf5jobwidgets-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5KIO" with any
  of the following names:

    KF5KIOConfig.cmake
    kf5kio-config.cmake

  Add the installation prefix of "KF5KIO" to CMAKE_PREFIX_PATH or set
  "KF5KIO_DIR" to a directory containing one of the above files.  If "KF5KIO"
  provides a separate development package or SDK, be sure it has been
  installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5KIO: found neither KF5KIOConfig.cmake nor kf5kio-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5Solid" with any
  of the following names:

    KF5SolidConfig.cmake
    kf5solid-config.cmake

  Add the installation prefix of "KF5Solid" to CMAKE_PREFIX_PATH or set
  "KF5Solid_DIR" to a directory containing one of the above files.  If
  "KF5Solid" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5Solid: found neither KF5SolidConfig.cmake nor kf5solid-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5Wallet" with
  any of the following names:

    KF5WalletConfig.cmake
    kf5wallet-config.cmake

  Add the installation prefix of "KF5Wallet" to CMAKE_PREFIX_PATH or set
  "KF5Wallet_DIR" to a directory containing one of the above files.  If
  "KF5Wallet" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5Wallet: found neither KF5WalletConfig.cmake nor kf5wallet-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5WidgetsAddons"
  with any of the following names:

    KF5WidgetsAddonsConfig.cmake
    kf5widgetsaddons-config.cmake

  Add the installation prefix of "KF5WidgetsAddons" to CMAKE_PREFIX_PATH or
  set "KF5WidgetsAddons_DIR" to a directory containing one of the above
  files.  If "KF5WidgetsAddons" provides a separate development package or
  SDK, be sure it has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5WidgetsAddons: found neither KF5WidgetsAddonsConfig.cmake nor kf5widgetsaddons-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5WindowSystem"
  with any of the following names:

    KF5WindowSystemConfig.cmake
    kf5windowsystem-config.cmake

  Add the installation prefix of "KF5WindowSystem" to CMAKE_PREFIX_PATH or
  set "KF5WindowSystem_DIR" to a directory containing one of the above files.
  If "KF5WindowSystem" provides a separate development package or SDK, be
  sure it has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5WindowSystem: found neither KF5WindowSystemConfig.cmake nor kf5windowsystem-config.cmake 
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5XmlGui" with
  any of the following names:

    KF5XmlGuiConfig.cmake
    kf5xmlgui-config.cmake

  Add the installation prefix of "KF5XmlGui" to CMAKE_PREFIX_PATH or set
  "KF5XmlGui_DIR" to a directory containing one of the above files.  If
  "KF5XmlGui" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5XmlGui: found neither KF5XmlGuiConfig.cmake nor kf5xmlgui-config.cmake 
CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
  Could NOT find KF5 (missing: Archive Codecs Config ConfigWidgets CoreAddons
  Crash DocTools GuiAddons IconThemes ItemModels I18n JobWidgets KIO Solid
  Wallet WidgetsAddons WindowSystem XmlGui)
Call Stack (most recent call first):
  /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/ECM/find-modules/FindKF5.cmake:110 (find_package_handle_standard_args)
  CMakeLists.txt:58 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeOutput.log".
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeError.log".
kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ 

À ce stade  je ne sais plus rien
j'ai un doute sur ma commande cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix
je trouve bizarre qu'il faille mettre kde4-config quand on joue avec qt5 mais c'est peut etre normal
j'attends des nouvelles d'un pro de la compile sur ce forum

Dernière modification par eric63 (Le 11/11/2016, à 22:18)


kdeïste convaincu avec Kubuntu 18.10 + backports = plasma 5.13.5 et KDE framaworks 5.50.0 Qt 5.11.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#3 Le 11/11/2016, à 12:31

Hizoka

Re : [Résolu] Tellico vers KDE5

Salut, merci pour ton retour.

en effet c'est étrange d'indiquer kde4...

Hors ligne

#4 Le 11/11/2016, à 20:57

eric63

Re : [Résolu] Tellico vers KDE5

bon j'avance un peu
les fichiers kf5xxxxxxx sont en fait des librairies
donc installation de
libkf5newstuff-dev
libkf5crash-dev
libkf5wallet-dev
libkf5itemmodels-dev

cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
  Could not find a package configuration file provided by "KF5DocTools" with
  any of the following names:

    KF5DocToolsConfig.cmake
    kf5doctools-config.cmake

  Add the installation prefix of "KF5DocTools" to CMAKE_PREFIX_PATH or set
  "KF5DocTools_DIR" to a directory containing one of the above files.  If
  "KF5DocTools" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:58 (find_package)


-- Could NOT find KF5DocTools: found neither KF5DocToolsConfig.cmake nor kf5doctools-config.cmake 
-- Found KF5ItemModels: /usr/lib/x86_64-linux-gnu/cmake/KF5ItemModels/KF5ItemModelsConfig.cmake (found version "5.26.0") 
CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
  Could NOT find KF5 (missing: DocTools) (found version "5.26.0")
Call Stack (most recent call first):
  /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/ECM/find-modules/FindKF5.cmake:110 (find_package_handle_standard_args)
  CMakeLists.txt:58 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeOutput.log".
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeError.log".
kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$

mais je suis bloqué sur la dernière librairie
qui est introuvable (pour l'instant)
aucun fichier ou paquet qui ressemble à kf5doctool ou doctool
purée la recherche sur muon ou synaptic pêche un peu
c'était kdoctool qu'il fallait chercher donc installation de kdoctools-dev
puis installation de la librairie libkf5khtml-dev

 cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`                   
-- Found KF5DocTools: /usr/lib/x86_64-linux-gnu/cmake/KF5DocTools/KF5DocToolsConfig.cmake (found version "5.26.0") 
-- Found KF5: success (found version "5.26.0") found components:  Archive Codecs Config ConfigWidgets CoreAddons Crash DocTools GuiAddons IconThemes ItemModels I18n JobWidgets KIO Solid Wallet WidgetsAddons WindowSystem XmlGui 
CMake Error at CMakeLists.txt:78 (find_package):
  Could not find a package configuration file provided by "KF5KHtml" with any
  of the following names:

    KF5KHtmlConfig.cmake
    kf5khtml-config.cmake

  Add the installation prefix of "KF5KHtml" to CMAKE_PREFIX_PATH or set
  "KF5KHtml_DIR" to a directory containing one of the above files.  If
  "KF5KHtml" provides a separate development package or SDK, be sure it has
  been installed.


-- Configuring incomplete, errors occurred!
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeOutput.log".
See also "/home/kubu/Téléchargements/tellico3/tellico-2.9.92/build/CMakeFiles/CMakeError.log".

puis installation de la librairie libkf5khtml-dev

cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
-- Found LibXml2: /usr/lib/x86_64-linux-gnu/libxml2.so (found version "2.9.4") 
-- Found LibXslt: /usr/lib/x86_64-linux-gnu/libxslt.so (found version "1.1.29") 
CMake Warning at CMakeLists.txt:86 (find_package):
  By not providing "FindKF5FileMetaData.cmake" in CMAKE_MODULE_PATH this
  project has asked CMake to find a package configuration file provided by
  "KF5FileMetaData", but CMake did not find one.

  Could not find a package configuration file provided by "KF5FileMetaData"
  with any of the following names:

    KF5FileMetaDataConfig.cmake
    kf5filemetadata-config.cmake

  Add the installation prefix of "KF5FileMetaData" to CMAKE_PREFIX_PATH or
  set "KF5FileMetaData_DIR" to a directory containing one of the above files.
  If "KF5FileMetaData" provides a separate development package or SDK, be
  sure it has been installed.


CMake Warning at CMakeLists.txt:98 (find_package):
  By not providing "FindKF5Sane.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "KF5Sane", but
  CMake did not find one.

  Could not find a package configuration file provided by "KF5Sane" with any
  of the following names:

    KF5SaneConfig.cmake
    kf5sane-config.cmake

  Add the installation prefix of "KF5Sane" to CMAKE_PREFIX_PATH or set
  "KF5Sane_DIR" to a directory containing one of the above files.  If
  "KF5Sane" provides a separate development package or SDK, be sure it has
  been installed.


-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.1") 
-- Found QImageBlitz: /usr/include/qimageblitz (Required is at least version "5.0") 
CMake Warning at CMakeLists.txt:134 (find_package):
  Could not find a configuration file for package "Libkcddb" that is
  compatible with requested version "5.0".

  The following configuration files were considered but not accepted:

    /usr/lib/cmake/libkcddb/LibkcddbConfig.cmake, version: unknown



-- Found taglib: -L/usr/lib/x86_64-linux-gnu -ltag
-- Taglib found: -L/usr/lib/x86_64-linux-gnu -ltag
-- Checking for module 'yaz'
--   Found yaz, version 4.2.30
-- Found Yaz: /usr/include (Required is at least version "2.0") 
-- Found PopplerQt5: /usr/include/poppler/qt5  
-- Checking for module 'exempi-2.0'
--   Found exempi-2.0, version 2.3.0
-- Found Exempi: /usr/include/exempi-2.0 (Required is at least version "2.0") 
-- Could NOT find Btparse (missing:  Btparse_INCLUDE_DIRS Btparse_LIBRARIES) 
-- Checking for module 'libdiscid'
--   No package 'libdiscid' found
-- Could NOT find DiscID (missing:  DiscID_INCLUDE_DIRS DiscID_LIBRARIES) 
-- 
-- The following OPTIONAL packages have been found:

 * KF5NewStuff , Support for fetching new templates and scripts , <http://www.kde.org>
 * QImageBlitz (required version >= 5.0) , Support for image gradients in the default template , <http://api.kde.org/kdesupport-api/kdesupport-apidocs/qimageblitz/html/>
 * Taglib , Support for reading multimedia files , <http://taglib.github.io>
 * Yaz (required version >= 2.0) , Support for searching z39.50 databases , <http://www.indexdata.dk/yaz/>
 * PopplerQt5 , Support for reading PDF files , <http://poppler.freedesktop.org>
 * Exempi (required version >= 2.0) , Support for reading PDF/XMP metadata , <http://libopenraw.freedesktop.org/wiki/Exempi/>
 * PkgConfig

-- The following REQUIRED packages have been found:

 * ECM (required version >= 1.3.0)
 * Qt5Core
 * Qt5Gui (required version >= 5.6.1)
 * Qt5Widgets
 * Qt5Xml
 * Qt5DBus
 * Qt5Test
 * Qt5Network
 * Qt5 (required version >= 5.4.0)
 * KF5Archive
 * KF5Codecs
 * KF5Config
 * KF5ConfigWidgets
 * KF5CoreAddons
 * KF5Crash
 * KF5DocTools
 * KF5GuiAddons
 * KF5IconThemes
 * KF5ItemModels
 * PythonInterp
 * KF5I18n
 * KF5JobWidgets
 * KF5KIO
 * KF5Solid
 * KF5Wallet
 * KF5WidgetsAddons
 * KF5WindowSystem
 * KF5XmlGui
 * KF5
 * KF5KHtml
 * Gettext
 * LibXml2
 * LibXslt

-- The following OPTIONAL packages have not been found:

 * KF5FileMetaData , Support for reading file metadata , <http://www.kde.org>
 * KF5Sane , Support for adding scanned images to a collection , <http://www.kde.org>
 * Libkcddb (required version >= 5.0) , Support for CDDB searches , <http://projects.kde.org/projects/kde/kdemultimedia/libkcddb>
 * Btparse , External support for parsing and processing BibTeX data files , <https://metacpan.org/release/Text-BibTeX>
 * DiscID , Support for reading disc IDs from audio CDs , <http://musicbrainz.org/doc/libdiscid>
 * Csv (required version >= 3.0) , External support for reading CSV files , <http://sourceforge.net/projects/libcsv/>

-- Configuring done
-- Generating done
-- Build files have been written to: /home/kubu/Téléchargements/tellico3/tellico-2.9.92/build

la compile semble correcte
donc j'installe les derniers paquets qui manquent certains sont introuvables ou pas en bonne version mais bon c'est des options

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
CMake Warning at CMakeLists.txt:134 (find_package):
  Could not find a configuration file for package "Libkcddb" that is
  compatible with requested version "5.0".

  The following configuration files were considered but not accepted:

    /usr/lib/cmake/libkcddb/LibkcddbConfig.cmake, version: unknown



-- Found taglib: -L/usr/lib/x86_64-linux-gnu -ltag
-- Taglib found: -L/usr/lib/x86_64-linux-gnu -ltag
-- Could NOT find Btparse (missing:  Btparse_INCLUDE_DIRS Btparse_LIBRARIES) 
-- Checking for module 'libdiscid'
--   Found libdiscid, version 0.6.1
-- Found DiscID: /usr/include  
-- Found Csv: /usr/include (found suitable version "3.0.3", minimum required is "3.0") 
-- 
-- The following OPTIONAL packages have been found:

 * KF5FileMetaData , Support for reading file metadata , <http://www.kde.org>
 * KF5NewStuff , Support for fetching new templates and scripts , <http://www.kde.org>
 * KF5Sane , Support for adding scanned images to a collection , <http://www.kde.org>
 * QImageBlitz (required version >= 5.0) , Support for image gradients in the default template , <http://api.kde.org/kdesupport-api/kdesupport-apidocs/qimageblitz/html/>
 * Taglib , Support for reading multimedia files , <http://taglib.github.io>
 * Yaz (required version >= 2.0) , Support for searching z39.50 databases , <http://www.indexdata.dk/yaz/>
 * PopplerQt5 , Support for reading PDF files , <http://poppler.freedesktop.org>
 * Exempi (required version >= 2.0) , Support for reading PDF/XMP metadata , <http://libopenraw.freedesktop.org/wiki/Exempi/>
 * PkgConfig
 * DiscID , Support for reading disc IDs from audio CDs , <http://musicbrainz.org/doc/libdiscid>
 * Csv (required version >= 3.0) , External support for reading CSV files , <http://sourceforge.net/projects/libcsv/>

-- The following REQUIRED packages have been found:

 * ECM (required version >= 1.3.0)
 * Qt5Core
 * Qt5Gui (required version >= 5.6.1)
 * Qt5Widgets
 * Qt5Xml
 * Qt5DBus
 * Qt5Test
 * Qt5Network
 * Qt5 (required version >= 5.4.0)
 * KF5Archive
 * KF5Codecs
 * KF5Config
 * KF5ConfigWidgets
 * KF5CoreAddons
 * KF5Crash
 * KF5DocTools
 * KF5GuiAddons
 * KF5IconThemes
 * KF5ItemModels
 * PythonInterp
 * KF5I18n
 * KF5JobWidgets
 * KF5KIO
 * KF5Solid
 * KF5Wallet
 * KF5WidgetsAddons
 * KF5WindowSystem
 * KF5XmlGui
 * KF5
 * KF5KHtml
 * Gettext
 * LibXml2
 * LibXslt

-- The following OPTIONAL packages have not been found:

 * Libkcddb (required version >= 5.0) , Support for CDDB searches , <http://projects.kde.org/projects/kde/kdemultimedia/libkcddb>
 * Btparse , External support for parsing and processing BibTeX data files , <https://metacpan.org/release/Text-BibTeX>

-- Configuring done
-- Generating done
-- Build files have been written to: /home/kubu/Téléchargements/tellico3/tellico-2.9.92/build

voilà on passe au make toujours dans le dossier build

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ make

ca compile c'est long (normal) mais c'est coloré attendre ...
puis un make install

kubu@kubu-desktop:~/Téléchargements/tellico3/tellico-2.9.92/build$ sudo make install

et un reboot puis dans un terminal

tellico

sniff dommage ça se termine chez moi par une erreur de segmentation
là s'arrête mes compétences

Dernière modification par eric63 (Le 11/11/2016, à 22:06)


kdeïste convaincu avec Kubuntu 18.10 + backports = plasma 5.13.5 et KDE framaworks 5.50.0 Qt 5.11.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#5 Le 12/11/2016, à 22:41

Compte anonymisé

Re : [Résolu] Tellico vers KDE5

eric63 a écrit :
-- Could NOT find KF5DocTools: found neither KF5DocToolsConfig.cmake nor kf5doctools-config.cmake $

mais je suis bloqué sur la dernière librairie
qui est introuvable (pour l'instant)
aucun fichier ou paquet qui ressemble à kf5doctool ou doctool

Here we are: kdoctools-dev :
/usr/lib/x86_64-linux-gnu/cmake/KF5DocTools/KF5DocToolsConfig.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5DocTools/KF5DocToolsConfig.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5DocTools/KF5DocToolsConfigVersion.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5DocTools/KF5DocToolsMacros.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5DocTools/KF5DocToolsTargets-debian.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5DocTools/KF5DocToolsTargets.cmake

#6 Le 12/11/2016, à 23:43

eric63

Re : [Résolu] Tellico vers KDE5

oui je l'ai vu aussi
mais purée la recherche sur muon ou synaptic pêche un peu
quand tu tapes kf5doctool il ne trouve rien
avec doctool il trouve deux paquets qui n'ont rien à voir
c'était kdoctool qu'il fallait chercher donc installation de kdoctools-dev


kdeïste convaincu avec Kubuntu 18.10 + backports = plasma 5.13.5 et KDE framaworks 5.50.0 Qt 5.11.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#7 Le 24/11/2016, à 19:02

Hizoka

Re : [Résolu] Tellico vers KDE5

Bonsoir,

je revenais aux nouvelles, avez vous reussis ? smile

Hors ligne

#8 Le 24/11/2016, à 21:21

eric63

Re : [Résolu] Tellico vers KDE5

je pensais que tu avais essayé toi aussi.
Tu n'auras peut être pas mon problème de segmentation fault en phase finale


kdeïste convaincu avec Kubuntu 18.10 + backports = plasma 5.13.5 et KDE framaworks 5.50.0 Qt 5.11.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#9 Le 24/11/2016, à 22:57

eric63

Re : [Résolu] Tellico vers KDE5

YES !!
ça marche j'ai la version 3.
il a fallu pour cela que je trouve sur le linux-apps store
la version 3.0 et pas la version 2.9.92.
j'ai enlevé les paquets tellico de la version 2.3.9
puis j'ai recompilé comme à l'origine
création du dossier build puis dedans

cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
make
make install

bon là j'ai une erreur mais en faisant

sudo make install

puis un magnifique

kubu@kubu-desktop:~$ tellico

en konsole
c'est tout bon et en plus c'est bien plus rapide

j'ai une liste d' environ 1000 livres avec les photos de la pochette et ça prenait un peu de temps à l'ouverture de la bibliothèque. La c'est quasi instantané. smile

Dernière modification par eric63 (Le 24/11/2016, à 23:05)


kdeïste convaincu avec Kubuntu 18.10 + backports = plasma 5.13.5 et KDE framaworks 5.50.0 Qt 5.11.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#10 Le 24/11/2016, à 23:07

Hizoka

Re : [Résolu] Tellico vers KDE5

Ca c'est cool !

Perso j'ai pas eu le temps de me repencher dessus.

y a moyen que tu remplaces

sudo make install

par

sudo checkinstall

de memoire...?

ca permettrait de creer un fichier deb, ca serait vraiment sympa.

Hors ligne

#11 Le 24/11/2016, à 23:24

eric63

Re : [Résolu] Tellico vers KDE5

bon là c'est trop pour moi
le fait d'empaqueter n'est pas simplissime je viens d'y jeter un coup d'oeil et un simple checkinstall qui est inconnu au bataillon ne fait pas avancé la chose.
donc je n'ai pas le temps moi non plus de m'y pencher et pas l'envie aussi  par peur donc wait and see un courageux ou un paquetage deb qui ne devrait pas tarder .
En tout cas tu as tous les éléments pour compiler tellico.

Dernière modification par eric63 (Le 24/11/2016, à 23:26)


kdeïste convaincu avec Kubuntu 18.10 + backports = plasma 5.13.5 et KDE framaworks 5.50.0 Qt 5.11.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index
N'oubliez pas les balises codes

Hors ligne

#12 Le 25/11/2016, à 09:41

Hizoka

Re : [Résolu] Tellico vers KDE5

Voici une version 64bits créé avec checkinstall (et j'ai mis les réponses par défaut) : Tellico v3.0 64bits

EDIT : Il faut les paquets libyaz4 libexempi3 en plus du fichier deb ci dessus.

Je n'aurai jamais pu réussir à trouver tous ces paquets...

Grand merci !

Au final il m'aura fallut installer ces dépendances :

kdoctools-dev kio-dev libdrm-dev libegl1-mesa-dev libgl1-mesa-dev libgles2-mesa-dev libglu1-mesa-dev libkf5archive-dev libkf5attica-dev libkf5auth-bin-dev libkf5auth-dev libkf5bookmarks-dev libkf5codecs-dev libkf5completion-dev libkf5config-bin-dev libkf5config-dev libkf5configwidgets-dev libkf5coreaddons-bin-dev libkf5coreaddons-dev libkf5crash-dev libkf5dbusaddons-dev libkf5globalaccel-dev libkf5guiaddons-dev libkf5i18n-dev libkf5iconthemes-dev libkf5itemmodels-dev libkf5itemviews-dev libkf5jobwidgets-dev libkf5jsapi5 libkf5khtml-dev libkf5kjs-dev libkf5newstuff-dev libkf5notifications-dev libkf5parts-dev libkf5service-dev libkf5solid-dev libkf5sonnet-dev libkf5textwidgets-dev libkf5wallet-dev libkf5widgetsaddons-dev libkf5windowsystem-dev libkf5xmlgui-dev libmirclient-dev libmircommon-dev libmircookie-dev libmircookie2 libpcre3-dev libpcre32-3 libpcrecpp0v5 libprotobuf-dev libpthread-stubs0-dev libqt5opengl5-dev libqt5scripttools5 libwayland-bin libwayland-dev libx11-dev libx11-doc libx11-xcb-dev libxau-dev libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxkbcommon-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev qt5-qmake qtbase5-dev qtbase5-dev-tools qtscript5-dev x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev x11proto-kb-dev x11proto-xext-dev x11proto-xf86vidmode-dev xorg-sgml-doctools xtrans-dev zlib1g-dev camlp4 ecm icu-devtools ledit libcamlp4-ocaml-dev libexempi-dev libexempi3 libfindlib-ocaml libfindlib-ocaml-dev libgmp-dev libgmpxx4ldbl libgnutls-openssl27 libgnutls28-dev libgnutlsxx28 libicu-dev libidn11-dev libncurses5-dev libp11-kit-dev libpoppler-dev libpoppler-qt5-dev libqimageblitz-dev libtag1-dev libtaglib-ocaml libtaglib-ocaml-dev libtasn1-6-dev libtasn1-doc libtinfo-dev libwrap0-dev libxml2-dev libxslt1-dev libyaz4 libyaz4-dev nettle-dev ocaml-base-nox ocaml-compiler-libs ocaml-findlib ocaml-interp ocaml-nox

et pour la création d'un paquet vite fait :

checkinstall

téléchargement de la derniere version : https://dl.opendesktop.org/api/files/do … 3.0.tar.xz

Extraction du fichier.

une fois dans le dossier extrait :

cmake . -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`

puis :

make

et enfin :

sudo make install

ou pour creer un fichier deb

sudo checkinstall

En tout cas, merci à vous pour votre aide si précieuse !

Dernière modification par Hizoka (Le 07/01/2017, à 12:37)

Hors ligne